#include <SPI.h>
#define SPI2_NSS_PIN PB12 //SPI_2 Chip Select pin is PB12. You can change it to the STM32 pin you want.

SPIClass SPI_2(2); //Create an instance of the SPI Class called SPI_2 that uses the 2nd SPI Port
//byte data;
byte din_digit = 1;
byte out_byte1;
byte out_byte2;
byte out_byte3;
byte out_byte4;

word text_out_lo;
word text_out_hi;
// code for digits       0  1  2  3  4   5   6  7  8   9  0   A   C
const word digits[23] = {63,6,91,79,102,109,125,7,127,111,63,119,57};
// code for place
const word mas_din_digit[13] = {1,2,4,8,16,32,64,128,256,512,1024,2048,4096};

void setup() {
// Setup SPI 2
SPI_2.begin(); //Initialize the SPI_2 port.
SPI_2.setBitOrder(MSBFIRST); // Set the SPI_2 bit order
SPI_2.setDataMode(SPI_MODE0); //Set the SPI_2 data mode 0
SPI_2.setClockDivider(SPI_CLOCK_DIV64); // Use a different speed to SPI 1
// SPI_2.setSSdisable 
pinMode(SPI2_NSS_PIN, OUTPUT);
}

void Timer_out() {
delayMicroseconds(100); //Delay 10 micro seconds.
din_digit ++;
if (din_digit > 12) {din_digit = 0;}
text_out_lo = mas_din_digit[din_digit];
text_out_hi = digits[din_digit];
//SPI_2.continue();
out_byte1 = text_out_hi >> 8;
out_byte2 = text_out_hi;
out_byte3 = text_out_lo >> 8;
out_byte4 = text_out_lo;

SPI_2.transfer(out_byte1); // send to SPI one byte
SPI_2.transfer(out_byte2);
SPI_2.transfer(out_byte3);
SPI_2.transfer(out_byte4);

digitalWrite(SPI2_NSS_PIN, LOW); // manually take CSN low for SPI_2 transmission
digitalWrite(SPI2_NSS_PIN, HIGH); // manually take CSN high between spi transmissions
digitalWrite(SPI2_NSS_PIN, LOW); // manually take CSN low for SPI_2 transmission
}
void loop() {

Timer_out();
}

